# Endless Online 0.4  [ configuration file ]

# This is the main Endless Online configuration file for client
# if you do not know what you are doing, please consider leaving.
# visit www.endless-online.com for more instructions.


[CONNECTION]

# Host: You can put a 'hostname' or an ip address to connect.
# Port: The default port for Endless is 8078

Host=game.endless-online.com
Port=8078


[CONNECTION SETTINGS]

# HostFallback: Used if the main connection attempt fails.

HostFallback1=backup.endless-online.com
HostFallback2=69.10.49.30
IdleDisconnect=off


[SOUND]

# Info: Enter any decimal number between 0 (off) and 100 (on).

Music=30
Sound=on
Sfx=on
Instruments=on

# NotificationPersonal: Enable or disable personal chat alerts.
# NotificationGuild: Enable or disable guild chat alerts.
# NpcSounds: Enable or disable NPC walk, alert, and idle sounds.

NotificationPersonal=on
NotificationGuild=on
NpcSounds=on

# SoundBuffers: Lower to reduce sound lag (default: 6)
# StaticSoundBuffers: Keep all buffers when changing maps.

SoundBuffers=10
StaticSoundBuffers=on



[VIDEO]

# Note: Putting directdraw into hardware-disabled ( off ) could fix 
# high end cpu users that experience row tearing / black lines.

# DdrawHardware supported modes:
# 1:on - hardware accelerated 
# 0:off - software emulated 

# Lighting modes
# 0:off - only if server allows
# 1:low, 2:medium, 3:normal, 4:best

DdrawHardware=off
Fullscreen=off
Lighting=4
FpsMode=0
ShowShadows=on


[WINDOWED MODE]

# Position: Can be 'center' or 'dekstop' or x,y coord, for example: 100,20
# Scale: Can help to scale up client while keeping 'best' pixel ratio.
# ForceClientRatio: Ensures that the client resize with the same ratio.
# ForceClientSize: Ensures borders but can break pixel-perfect scale.

Position=center
Scale=2
Sizeable=on
StayOnTop=off
ForceClientRatio=off
ForceClientSize=off


[INPUTS]

# ForceClientSize: Enables WASD keys for movement by blocking chat input.
# Note: Start chat lines by pressing ENTER or UPPERCASE wasd to bypass.

WasdKeys=off
MousePathfind=on
MouseCloseAttack=on
PrintScreen=on

# Language flags:
# 0: english   
# 1: dutch   
# 2: swedish  
# 3:portuguese

# Keyboard flags:
# 0: english   
# 1: dutch   
# 2: swedish  
# 3: azerty

Language=0
Keyboard=0


[UI]

# DropBar: Controls behaviour of the most top bars.
# DropBar: 0:userclickonly, 1:droponchange, 2:always

DropBarHp=1
DropBarTp=1
DropBarSp=1
DropBarExp=1

# ExpBar: 0:tnl, 1:tnls, 2:tnlperc, 3:exp, 4:both
# StatusWidget flags: 0:clock, 1:counter, 2:weight

ExpBar=0
StatusWidget=0


[GAME]

# AutoOpenInventory enables or disable opening the inventory on a paperdoll-click.
# HotkeyNotifications enables or disables notifications on the use of hotkey(s)

ElementalIcons=on
ExtendedTooltip=on
AutoOpenInventory=on
HotkeyNotifications=on
QuestMarkers=on
AlwaysGhost=off
CraftWarnings=on


[MINIMAP]

# minimap flags:
# 0: toggled
# 1: overlay-v2-only
# 2: radar-only

# radar position flags:
# 0: lower-left
# 1: lower-right
# 2: upper-left
# 3: upper-right

MiniMapMode=0
RadarPosition=3

MiniMapIcons=on
MiniMapGrid=off
RadarCoords=on


[SOCIAL]

ShowBaloons=on
ShowBaloonName=on

# NpcColor and GroupColor overwrite the name-tag chat balloon color if enabled.
# Values: 0-4 for a color or: default (0)

# 0: default/dark
# 1: red
# 2: green
# 3: blue
# 4: purple
# 5: orange

DefaultColor=5
GroupColor=2
NpcColor=4

# Filter: Filter chat for 'bad words'.
# FilterAll: Enable for more strict filtering.

Filter=on
FilterAll=off

# ShowAllDrops will show npc drops of other playersin system chat.

ShowAllDrops=on
HearWhisper=1
Interaction=on
LogChat=off
LogFile=chatlog.txt


[THEME]

# Overload or use [default] user-interface by entering '=default'
# enter exact filename of the ini file, e.g: endless_wood_000.ini
# theme files should be placed inside folder ./gfx/themes/

ThemeFile=default


[ADVANCED]

# Making gfx loaders Static will require more memory but increase 
# Overal game performance. (all loaders default: on)

# Pageflipping: Enables smooth double-buffer pageflips (default: on)
# ForceBuffer: Will restore entire buffer on multitasking (default: off)
# BlockTransfer: Is an alternative bitmap loader (default: off)
# CoordSync: is a delayed serve check and resync of x,y coord.
# TcpNodelay: Enables tcp_nodelay on socket (default: on)
# FastKeyboardPoll: Can speed up chat input (default: off)

Pageflipping=on
ForceBuffer=off
StaticSprites=on
StaticNpcs=on
StaticObjects=on
StaticTiles=on

BlockTransfer=off
CoordSync=on
TcpNodelay=on
FastKeyboardPoll=off


[EXTRA]

# Optional to disable the intro to start the game more quickly.
# Optional to disable the anti-keylog softpad login system.

Skipintro=on
Skipsoftpad=on


[DEBUG]

Debug=on
LogConnect=off
LogMapLoad=off
LogPing=off
LogPingAbove=200

ShowFps=off
ShowPing=off

# Every time you launch the game it will be set up with these 
# instructions, if you like to change something you need to
# restart the game client as well.

# end of configuration
